package com.fp.armas.portal.model;

import java.io.Serializable;
import java.sql.Timestamp;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Version;


/**
 * The persistent class for the TSAFEUSERDETAIL database table.
 * 
 */
@Entity
public class Tsafeuserdetail implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TsafeuserdetailPK id;

	private String activateuser;

	private Long areacode;

	private Long branchcode;

	private String branchfromterminal;

	private String changepassword;

	private String channelcode;

	private Long companycode;

	private Timestamp datefrom;

	private String ingressuser;

	private String isuserbpm;

	private String languagecode;

	private String modifyuser;

	private String nickname;

	private Long officecode;

	private String password;

	@Version
	private Long recordversion;

	private String terminalcode;

	private String userstatuscatalog;

	private String userstatuscatalogcode;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="USERCODE", insertable=false, updatable=false)
	private Tsafeuser tsafeuser;

	public Tsafeuserdetail() {
	}

	public TsafeuserdetailPK getId() {
		return this.id;
	}

	public void setId(TsafeuserdetailPK id) {
		this.id = id;
	}

	public String getActivateuser() {
		return this.activateuser;
	}

	public void setActivateuser(String activateuser) {
		this.activateuser = activateuser;
	}

	public Long getAreacode() {
		return this.areacode;
	}

	public void setAreacode(Long areacode) {
		this.areacode = areacode;
	}

	public Long getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(Long branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchfromterminal() {
		return this.branchfromterminal;
	}

	public void setBranchfromterminal(String branchfromterminal) {
		this.branchfromterminal = branchfromterminal;
	}

	public String getChangepassword() {
		return this.changepassword;
	}

	public void setChangepassword(String changepassword) {
		this.changepassword = changepassword;
	}

	public String getChannelcode() {
		return this.channelcode;
	}

	public void setChannelcode(String channelcode) {
		this.channelcode = channelcode;
	}

	public Long getCompanycode() {
		return this.companycode;
	}

	public void setCompanycode(Long companycode) {
		this.companycode = companycode;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public String getIngressuser() {
		return this.ingressuser;
	}

	public void setIngressuser(String ingressuser) {
		this.ingressuser = ingressuser;
	}

	public String getIsuserbpm() {
		return this.isuserbpm;
	}

	public void setIsuserbpm(String isuserbpm) {
		this.isuserbpm = isuserbpm;
	}

	public String getLanguagecode() {
		return this.languagecode;
	}

	public void setLanguagecode(String languagecode) {
		this.languagecode = languagecode;
	}

	public String getModifyuser() {
		return this.modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public String getNickname() {
		return this.nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public Long getOfficecode() {
		return this.officecode;
	}

	public void setOfficecode(Long officecode) {
		this.officecode = officecode;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public String getTerminalcode() {
		return this.terminalcode;
	}

	public void setTerminalcode(String terminalcode) {
		this.terminalcode = terminalcode;
	}

	public String getUserstatuscatalog() {
		return this.userstatuscatalog;
	}

	public void setUserstatuscatalog(String userstatuscatalog) {
		this.userstatuscatalog = userstatuscatalog;
	}

	public String getUserstatuscatalogcode() {
		return this.userstatuscatalogcode;
	}

	public void setUserstatuscatalogcode(String userstatuscatalogcode) {
		this.userstatuscatalogcode = userstatuscatalogcode;
	}

	public Tsafeuser getTsafeuser() {
		return this.tsafeuser;
	}

	public void setTsafeuser(Tsafeuser tsafeuser) {
		this.tsafeuser = tsafeuser;
	}

}